[Q] Upgrade from 0.7.1 to 0.8.2 suhosin and apache2/php.ini

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

[Q] Upgrade from 0.7.1 to 0.8.2 suhosin and apache2/php.ini

Simon Loewenthal-3
Good morning everyone,


Today tried to upgrade 0.7.n to 0.8.2.  I admit to have never used the installto.sh script before - I did it manually in the past.  Most likely someone else ran into this  - I googled and admit to not finding much.


#  bin/installto.sh /w3/roundcubemail
ERROR: Wrong 'suhosin.session.encrypt' option value. Read REQUIREMENTS section in INSTALL file or use Roundcube Installer, please!


I have this already
# grep suh /etc/php5/apache2/php.ini
[suhosin]
suhosin.session.encrypt = Off


The server environment is:
Debian 6
# php -v
PHP 5.3.18-1~dotdeb.0 with Suhosin-Patch (cli) (built: Oct 19 2012 07:27:46)
Copyright (c) 1997-2012 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2012 Zend Technologies
    with Suhosin v0.9.33, Copyright (c) 2007-2012, by SektionEins GmbH


Where else might this value go into? ( Or what went wrong? )



Any quick pointers?

Cheers, S
-- 
	     PGP is optional: 4BA78604
	I won't accept your confidentiality
	agreement, and your Emails are mine.
      		       ~Ö¿Ö~

_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: [Q] Upgrade from 0.7.1 to 0.8.2 suhosin and apache2/php.ini

A.L.E.C
On 10/24/2012 12:55 PM, Simon Loewenthal wrote:
> #  bin/installto.sh /w3/roundcubemail
> ERROR: Wrong 'suhosin.session.encrypt' option value. Read REQUIREMENTS
> section in INSTALL file or use Roundcube Installer, please!
>
> I have this already
> # grep suh /etc/php5/apache2/php.ini
> [suhosin]
> suhosin.session.encrypt = Off

When you run installto.sh script the file from /etc/php5/cli/php.ini (or
something like that) is used, because you run PHP in CLI mode.

--
Aleksander 'A.L.E.C' Machniak
LAN Management System Developer [http://lms.org.pl]
Roundcube Webmail Developer  [http://roundcube.net]
---------------------------------------------------
PGP: 19359DC1 @@ GG: 2275252 @@ WWW: http://alec.pl
_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: [Q] Upgrade from 0.7.1 to 0.8.2 suhosin and apache2/php.ini

Simon Loewenthal-3
On 24/10/12 13:00, A.L.E.C wrote:
On 10/24/2012 12:55 PM, Simon Loewenthal wrote:
#  bin/installto.sh /w3/roundcubemail
ERROR: Wrong 'suhosin.session.encrypt' option value. Read REQUIREMENTS
section in INSTALL file or use Roundcube Installer, please!

I have this already
# grep suh /etc/php5/apache2/php.ini
[suhosin]
suhosin.session.encrypt = Off
When you run installto.sh script the file from /etc/php5/cli/php.ini (or
something like that) is used, because you run PHP in CLI mode.


Apologies, but should have mentioned that this was already done: Same problem remains

# grep suh  /etc/php5/cgi/php.ini
[suhosin]
suhosin.session.encrypt = Off


-- 
	     PGP is optional: 4BA78604
	I won't accept your confidentiality
	agreement, and your Emails are mine.
      		       ~Ö¿Ö~

_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: [Q] Upgrade from 0.7.1 to 0.8.2 suhosin and apache2/php.ini

Simon Loewenthal-3
On 24/10/12 13:22, Simon Loewenthal wrote:
On 24/10/12 13:00, A.L.E.C wrote:
On 10/24/2012 12:55 PM, Simon Loewenthal wrote:
#  bin/installto.sh /w3/roundcubemail
ERROR: Wrong 'suhosin.session.encrypt' option value. Read REQUIREMENTS
section in INSTALL file or use Roundcube Installer, please!

I have this already
# grep suh /etc/php5/apache2/php.ini
[suhosin]
suhosin.session.encrypt = Off
When you run installto.sh script the file from /etc/php5/cli/php.ini (or
something like that) is used, because you run PHP in CLI mode.


Apologies, but should have mentioned that this was already done: Same problem remains

# grep suh  /etc/php5/cgi/php.ini
[suhosin]
suhosin.session.encrypt = Off

Anyone have another idea? 

There are only two php.ini files on the server.  apache and cli.  Is there somewehere else other than php.ini I should drop this into?

Regards.

_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: [Q] Upgrade from 0.7.1 to 0.8.2 suhosin and apache2/php.ini

Noel Butler
On Wed, 2012-10-24 at 16:06 +0200, Simon Loewenthal wrote:
On 24/10/12 13:22, Simon Loewenthal wrote:

On 24/10/12 13:00, A.L.E.C wrote:

On 10/24/2012 12:55 PM, Simon Loewenthal wrote:
#  bin/installto.sh /w3/roundcubemail
ERROR: Wrong 'suhosin.session.encrypt' option value. Read REQUIREMENTS
section in INSTALL file or use Roundcube Installer, please!

I have this already
# grep suh /etc/php5/apache2/php.ini
[suhosin]
suhosin.session.encrypt = Off
When you run installto.sh script the file from /etc/php5/cli/php.ini (or
something like that) is used, because you run PHP in CLI mode.


Apologies, but should have mentioned that this was already done: Same problem remains

# grep suh  /etc/php5/cgi/php.ini
[suhosin]
suhosin.session.encrypt = Off

Anyone have another idea? 

There are only two php.ini files on the server.  apache and cli.  Is there somewehere else other than php.ini I should drop this into?

Regards.
_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users

This is a flaw  in roundcube install script that has been mentioned before, I hoped it would have been resolved in .8 but I guess not

I think I just commented out the suhosin check in  installer/check.php
but you may need to comment it out somewhere else too, in the installer script maybe....



_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users

signature.asc (501 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: [Q] Upgrade from 0.7.1 to 0.8.2 suhosin and apache2/php.ini

Simon Loewenthal-3
On 25/10/12 01:56, Noel Butler wrote:
> On Wed, 2012-10-24 at 16:06 +0200, Simon Loewenthal wrote:
>> On 24/10/12 13:22, Simon Loewenthal wrote:
>>
>>> On 24/10/12 13:00, A.L.E.C wrote:
>>>
>>>> On 10/24/2012 12:55 PM, Simon Loewenthal wrote:
>>>>> # bin/installto.sh /w3/roundcubemail
>>>>> ERROR: Wrong 'suhosin.session.encrypt' option value. Read REQUIREMENTS
>>>>> section in INSTALL file or use Roundcube Installer, please!
>>>>>
>>>>> I have this already
>>>>> # grep suh /etc/php5/apache2/php.ini
>>>>> [suhosin]
>>>>> suhosin.session.encrypt = Off
>>>> When you run installto.sh script the file from /etc/php5/cli/php.ini (or
>>>> something like that) is used, because you run PHP in CLI mode.
>>>>
>>>
>>> Apologies, but should have mentioned that this was already done: Same problem remains
>>>
>>> # grep suh /etc/php5/cgi/php.ini
>>> [suhosin]
>>> suhosin.session.encrypt = Off
>>>
>> Anyone have another idea?
>>
>> There are only two php.ini files on the server. apache and cli. Is there somewehere else other than php.ini I should drop this into?
>>
>> Regards.
>> _______________________________________________
>> Roundcube Users mailing list
>> [hidden email] [hidden email]
>> http://lists.roundcube.net/mailman/listinfo/users
>
> This is a flaw in roundcube install script that has been mentioned before, I hoped it would have been resolved in .8 but I guess not
>
> I think I just commented out the suhosin check in installer/check.php
> but you may need to comment it out somewhere else too, in the installer script maybe....
>
>
>
>
> _______________________________________________
> Roundcube Users mailing list
> [hidden email]
> http://lists.roundcube.net/mailman/listinfo/users

Hi Noel,
    Thanks for the pointer.  I commented it out two places in the end,

program/include/iniset.php

$config = array(
    'error_reporting'         => E_ALL &~ (E_NOTICE | E_STRICT),
    // Some users are not using Installer, so we'll check some
    // critical PHP settings here. Only these, which doesn't provide
    // an error/warning in the logs later. See (#1486307).
    'mbstring.func_overload'  => 0,
_//    'suhosin.session.encrypt' => 0,_
    'session.auto_start'      => 0,
    'file_uploads'            => 1,
    'magic_quotes_runtime'    => 0,
    'magic_quotes_sybase'     => 0, // #1488506
);

installer/check.php
$ini_checks = array(
    'file_uploads'                  => 1,
    'session.auto_start'            => 0,
    'zend.ze1_compatibility_mode'   => 0,
    'mbstring.func_overload'        => 0,
_//    'suhosin.session.encrypt'       => 0,_
    'magic_quotes_runtime'          => 0,
    'magic_quotes_sybase'           => 0,
    'date.timezone'                 => '-NOTEMPTY-',
);


Afterward fixing the /bin/installto.sh/ ran. However the final update script failed:


Removing old default skin...done.

Running update script at target...
sh: bin/update.sh: Permission denied
All done.

# ls -l bin/update.sh
-rwxr-xr-x 1 root root 7148 Oct  5 19:14 bin/update.sh

Regards, S.



--
         PGP is optional: 4BA78604
    I won't accept your confidentiality
    agreement, and your Emails are mine.
                     ~Ö¿Ö~


_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users